<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <% include _head %>
    <link rel="stylesheet" type="text/css" href="/css/classes.css">
    <link rel="stylesheet" type="text/css" href="/css/parcours.css">
    <link rel="stylesheet" type="text/css" href="/scripts/lib/jquery-ui-1.13.1/jquery-ui.min.css">
    <script type="text/javascript" src="/scripts/lib/jquery-ui-1.13.1/jquery-ui.min.js"></script>
    <script src="https://unpkg.com/feather-icons"></script>
</head>

<!-- On vérifie s'il y a un Parcours existant dans la session d'abord -->
<% if (parcoursMetaData.number!='999') {%>
<!-- On charge les étapes du parcours -->
<body onload="ui_parcours.loadParcourSteps(<%= JSON.stringify(parcoursPrives[parcoursMetaData.number].steps)%>,<%=JSON.stringify(jeux)%>),document.getElementById('toggleSteps').click(this),ui_parcours.createUnpluggedModals();">
<%} else {%>
<!-- Sinon on charge le body vide (c'est le cas d'ajout d'un nouveau parcours) -->
<body onload="ui_parcours.createUnpluggedModals();">
<%}%>
    <!-- Petit test pour savoir s'il s'agit d'un nouveau parcours ou existant -->
    <%  var parcoursExistant = false;
        var inputName="";
        var inputLicence = "Type de licence";
        var degre = __('ajouterClasse_select');
        var description = "";
        const unpluggedActivityId = 16;
        const unpluggedExercice = 'unpluggedExercice';
        const externLinkId = 18;
        const externalLink = 'externalLink';
    // if (parcoursMetaData.number!='999')
    //     parcoursExistant = true;
    if (parcoursMetaData){
        // inputName = parcoursPrives[parcoursMetaData.number].nom;
        inputName = parcoursMetaData.name;
        try {
            inputLicence = parcoursPrives[parcoursMetaData.number].licence;
            degre = parcoursPrives[parcoursMetaData.number].degre;
            description = parcoursPrives[parcoursMetaData.number].description;
        } catch(err) {
            console.log(err);
        }
    }
    %>

<% include _loading %>
<nav class="navbar container-fluid">
    <input type="button" value="<%= __('global_back') %>" class="mr-3 btn btn-danger"
           onclick="window.location.href='/classes'">
    <% include _lang %>
</nav>
            <!--   ######################################################### -->
            <!--   ############# Div  Métadonnées du parcours  ############# -->
            <!--   ######################################################### -->
<div id="globalMetaData" class="container">
    <ul class="nav nav-tabs justify-content-center">
        <li class="nav-item d-flex">
            <a id="toggleMetaData" class="nav-link active" href="#" onclick="ui_parcours.toggleParcoursView($(this))"><span class="d-none d-md-inline-block d-lg-inline-block"><%= __('metaData') %></span><i data-feather="file-text" class="ml-1"></i></a>
        </li>
        <li class="nav-item d-flex">
            <a id="toggleSteps" class="nav-link" href="#" onclick="ui_parcours.toggleParcoursView($(this))"><span class="d-none d-md-inline-block d-lg-inline-block"><%= __('steps') %></span><i data-feather="edit" class="ml-1"></i></a>
        </li>
        <li class="nav-item d-flex">
            <a id="toggleAssignParcours" class="nav-link" href="#" onclick="ui_parcours.toggleParcoursView($(this))"><span class="d-none d-md-inline-block d-lg-inline-block">Assignation</span><i data-feather="user-check" class="ml-1"></i></a>
        </li>
    </ul>
    <div class="jumbotron">
        <% if(parcoursMetaData.number=='999') {%>
        <h1 id="parcoursCreationLabel" class="display-3">Créer un nouveau parcours</h1>
        <%} else {%>
        <h1 id="parcoursCreationLabel" class="display-3">Mon parcours</h1>
        <%}%>
        <form id="saveParcours" onsubmit="ui_parcours.saveParcours($(this).attr('id'),<%=parcoursMetaData.competences%>);">
        <div class="row">
            <div class="col-md-8">
                <input id="nomParcours" class="form-control form-control-lg" type="text" name="nomParcours" value="<%=inputName%>" placeholder="mon nouveau parcours" required autofocus>
            </div>
            <div class="col-md-4">
                <% if(typeof(degres) !== "undefined") { %>
                    <select id="licence" class="custom-select custom-select-lg" name="licence" required>
                        <option selected disabled value=""><%=inputLicence%></option>
                        <option value="">CC0</option>
                        <option value="">CC-by-nc</option>
                        <option value="">CC-by-nc-sa</option>
                    </select>
                <% } %>
            </div>
            <div class="col-md-8"></div>
            <div class="col-md-8 mt-4">
                <textarea id="description" class="form-control" placeholder="Description (facultatif)" rows="3"><%=description%></textarea>
            </div>
            <div class="col-md-4 mt-3">
                <% if(typeof(degres) !== "undefined") { %>
                    <select name="degre" id="degre" class="custom-select custom-select-lg" required>
                        <option selected disabled value=""><%=degre%></option>
                        <% degres.forEach(degre => { %>
                            <option value="<%= degre.id %>"><%= degre.degre %></option>
                        <% }); %>
                    </select>
                <% } %>
                <% if(typeof (tags) !== "undefined") { %>
                    <select name="tag" id="tag" class="mt-3 custom-select custom-select-lg">
                        <option selected value="none"><%= __('addTag') %></option>
                        <% tags.forEach(tag => { %>
                            <option value="<%= tag %>"><%= tag %></option>
                        <% }); %>
                    </select>
                <% } %>
            </div>
            <div class="col-md-8"></div>
            <div class="col-md-4 mt-3">
                <i data-feather="plus-circle" onclick="ui_parcours.showTagInput()"></i>
                <a class="ml-4 display-5" id="tag_label" onclick="ui_parcours.showTagInput()"><%= __('createNewTag') %></a>
            </div>
            <div class="col-md-10"></div>
            <button type="submit" value="" class="btn btn-success mt-5"><%= __('create_parcours') %></button>
        </div>
        <div class="col-md-12 mt-5">
            <h3 class="display-5">Compétences cibles générales</h3>
        </div>
        <div class="row mt-4 col-12">
            <div class="row col-md-12">
                <div class="list-group col-md-2" id="disciplines" role="tablist">
                    <a class="list-group-item list-group-item-action discipline">Discipline</a>
                    <a class="list-group-item list-group-item-action discipline">Compétence</a>
                    <a class="list-group-item list-group-item-action discipline">Code</a>
                    <a class="list-group-item list-group-item-action discipline">Objectif</a>
                </div>
                <div class="list-group col-md-5" id="disciplines" role="tablist">
                    <a class="list-group-item list-group-item-action discipline"><%=parcoursMetaData.discipline%></a>
                    <a class="list-group-item list-group-item-action discipline"><%=parcoursMetaData.competence%></a>
                    <a class="list-group-item list-group-item-action discipline"><%=parcoursMetaData.code%></a>
                    <a class="list-group-item list-group-item-action discipline"><%=parcoursMetaData.objectif%></a>
                </div>
            </div>
            <div class="col-md-4" id="competences"></div>
<!--            <div class="col-md-4" id="objectifs"></div> désactivée car on ne cherchera pas les objectifs à ce stade-->
        </div>
        </form>
    </div>
</div>
            <!--   #################################################### -->
            <!--   ############# Div  Scénario du parcours  ############# -->
            <!--   #################################################### -->
<div id="stepsGlobal" class="container-fluid">
    <ul class="nav nav-tabs justify-content-center">
        <li class="nav-item d-flex">
            <a id="toggleMetaData" class="nav-link" href="#" onclick="ui_parcours.toggleParcoursView($(this))"><span class="d-none d-md-inline-block d-lg-inline-block"><%= __('metaData') %></span><i data-feather="file-text" class="ml-1"></i></a>
        </li>
        <li class="nav-item d-flex">
            <a id="toggleSteps" class="nav-link active" href="#" onclick="ui_parcours.toggleParcoursView($(this))"><span class="d-none d-md-inline-block d-lg-inline-block"><%= __('steps') %></span><i data-feather="edit" class="ml-1"></i></a>
        </li>
        <li class="nav-item d-flex">
            <a id="toggleAssignParcours" class="nav-link" href="#" onclick="ui_parcours.toggleParcoursView($(this))"><span class="d-none d-md-inline-block d-lg-inline-block">Assignation</span><i data-feather="user-check" class="ml-1"></i></a>
        </li>
    </ul>
    <div class="jumbotron">
        <h1 class="copieNomParcours display-4"></h1>
        <span id="InfoDragAndDrop" class="text-info invisible">Veuillez glisser le <span class="game-level-link badge-success">niveau</span> sur les flèches <span class="boutonNext"><i data-feather="chevrons-right"></i></span>et <i class="boutonRemed" data-feather="rotate-cw"></i>.  Déposer quand le voyant est au vert.</span><a id="updateParcours" class="invisible validation-parcours btn btn-success" onclick="ui_parcours.saveParcours(($(this).attr('id')));"><%= __('save_my_path') %></a>
        <div id="steps" class="col-md-12 mt-5 mb-5 align-content-center">
            <span id="empty_parcours_welcome_text"><%= __('parcours_empty_welcome') %></span>
            <div id="firstSteps" class="row flex-nowrap"></div>
            <div id="remediations" class="row flex-nowrap"></div>
        </div>
        <div id="label_jeux" class="text-info mb-2"><%= __('games') %> / <%= __('levels_to_be_selected') %></div>
        <div class="row justify-content-between mb-4">
            <select name="niveau_jeu" id="game_level" class="custom-select custom-select-lg col-md-2" required>
                <option>
                    <%= __('level') %>
                </option>
            </select>
            <select name="tag" id="tag" class="custom-select custom-select-lg col-md-3">
                <option>Tag</option>
            </select>
            <select name="referentiel" id="referentiel" class="custom-select custom-select-lg col-md-3" required>
                <option selected disabled value=""><%= __('specific_goals') %></option>
                <option value="">Comprendre les liens entre deux ou ou plusieurs informations explicites</option>
                <option value="">Comprendre une information implicite</option>
                <option value="">Comprendre les marques morphosyntaxiques</option>
                <option value="">Comprendre les reprises anaphoriques</option>
                <!--                        <%# var i=0; %>-->
                <!--                        <%# json_per.disciplines[0].competences.forEach((competence) => { %>-->
                <!--                            <option value="<%#= competence.nom %>" onclick="ui_parcours.afficherObjectifs(0,<%#=i%>,this);"><%#= competence.nom %></option>-->
                <!--                        <%# i++ %>-->
                <!--                        <%# }) %>-->
            </select>
            <select name="langueFiltre" id="langFilter" class="custom-select custom-select-lg col-md-2" required>
                <option selected disabled value=""><%= __('jeuxTemplate_language') %></option>
                <% json_per.disciplines.forEach((discipline) => { %>
                <option value="<%=discipline.nom%>"><%=discipline.nom%></option>
                <% }); %>
            </select>
            <!--   Filtre sur les degrés     -->
            <!--                <%# if(typeof(degres) !== "undefined") { %>-->
            <!--                <select name="degre" id="degre" class="custom-select custom-select-lg col-md-3" required>-->
            <!--                        <option selected disabled value="">Degré H</option>-->
            <!--                        <%# degres.forEach(degre => { %>-->
            <!--                            <option value="<%#= degre.id %>"><%#= degre.degre %></option>-->
            <!--                        <%# }); } %>-->
            <!--                </select>-->
            <div id="games" style="height: 100px"></div>
            <div class="col-md-4" id="competences"></div>
            <div class="col-md-4" id="objectifs" style="position: relative; left: 130px;"></div>
        </div>
        <% if(typeof (jeux) !== "undefined") { %>
            <div class="row justify-content-center">
                <% jeux.forEach(jeu => {
                    var exploreActivity = __('activity_explore');
                    var createActivity = __('activity_create');
                    var addLevel  = __('addLevel');
                    var addLevelHref = '/run/pixi/0/'+jeu.id+'/create';
                    var plusButton  = '➕';
                    var dataTarget  = '';
                    var dataToggle  = '';
                if (jeu.id >=12){
                    addLevel = '';
                    plusButton = '';
                    createActivity = '';
                    if (jeu.id===unpluggedActivityId || jeu.id===externLinkId){
                        exploreActivity = '';
                        plusButton  = '➕';
                        addLevel = __('addActivity');
                        addLevelHref = '#';
                        dataToggle = 'data-toggle = modal';
                        if (jeu.id===unpluggedActivityId)
                            dataTarget = 'data-target = #unplugged'+unpluggedActivityId;
                        else if (jeu.id===externLinkId)
                            dataTarget = 'data-target = #unplugged'+externLinkId;
                    }
                }
                if(jeu.inDevelopment)
                    return;
                else {%>
                <div role="game-box" class="col-md-6 col-lg-4 row flex-nowrap">
                    <div class="col-md-6 col-lg-5 mb-3 jeu jeu_discipline_<%= jeu.discipline %>
			<% if(jeu.lstDegres) { jeu.lstDegres.forEach(degre => { %>jeu_degre_<%= degre %> <% })} %>
			<% if(jeu.lstLangues) { jeu.lstLangues.forEach(lang => { %>jeu_langue_<%= lang.abbr %> <% })} %>
			<% if(jeu.lstTags) { jeu.lstTags.forEach(tag => { %>jeu_tag_<%= tag %> <% })} %>">
                        <a href="/jeu/<%= jeu.id %>" class="card card-perso">
                            <img src="<%= jeu.image %>" alt="image-<%= jeu.nom %>" class="img-jeu-parcours">
                            <div class="card-body">
                                <h5 class="card-title"><%= jeu.nom %></h5>
                                <p class="card/jeu-text"><%= jeu.description %></p>
                            </div>
                            <div class="card-footer" >
                                <p class="small"><%= jeu.objectif %></p>
                                <% if(jeu.lstTags) { %>
                                    <% jeu.lstTags.forEach(tag => { %>
                                        <span class="badge badge-default"><i
                                                    class="fas fa-tag"></i> <%= tag %></span>
                                    <% }); %>
                                <% } %>
                            </div>
                        </a>
                    </div>
                    <div class="col-md-5 col-lg-5 card niveaux-jeu mb-3" >
                        <% if(typeof (exos) !== "undefined") { %>
                            <% var levelLabel = 'Niv-' %>
                            <% exos.forEach(exo => { %>
                                <% if(exo.gameId === jeu.id) { %>
                                <a  class="game-level-link badge-light row justify-content-between mb-2 initial-show" stepLevel="<%=levelLabel%><%=exo.level%>" role="<%=jeu.nom%>" gameId="<%=exo.gameId%>" stepId="<%=exo.id%>" href="#" gameImage="<%=jeu.image%>">
                                    <% if(exo.stateId === 2) {%>
                                        <span title="Validé par l'Admin">✔️</span>
                                        <%= __('game_level') %> <%=exo.level%>
                                        <span aria-label="<%= exo.image %>" onmouseover="ui_parcours.showLevelPreview(this)" onmouseleave="ui_parcours.hideLevelPreview(this)" data-toggle="modal" data-target="#id-<%=exo.id%>">👁‍🗨</span></a>
                                    <%} else if (exo.stateId === 3){
                                    levelLabel ='';
                                    if (exo.studentId === defaultStudentId) {%>
                                <span title="Activité privée"><img src="/media/controls/lock.png" alt="made by Vector Stall - Flaticon"></span>
                                <%=exo.level%><span>
                                    <span  class="mr-1" aria-label="<%=exo.image%>" onmouseover="ui_parcours.showLevelPreview(this)" onmouseleave="ui_parcours.hideLevelPreview(this)" data-toggle="modal" data-target="#unplugged<%=exo.id%>">👁‍🗨</span><span onclick="ui_parcours.deleteExercice(<%=exo.id%>)">❌</span>
                                </span></a>
                                <%}}else if (exo.stateId === 1){%>
                                    <span title="En attente de validation">🕓</span>
                                    <%= __('game_level') %> <%=exo.level%>
                                    <span aria-label="<%= exo.image %>" onmouseover="ui_parcours.showLevelPreview(this)" onmouseleave="ui_parcours.hideLevelPreview(this)" data-toggle="modal" data-target="#id-<%=exo.id%>">👁‍🗨</span></a><%}%>
                                <!-- Modal pour Exo -->
                                <%if (exo.stateId === 3) {
                                    const activityForm = JSON.parse(exo.exercice);%>
                                    <div class="modal fade" id="unplugged<%=exo.id%>" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <img class="col-2" src="<%=exo.image%>">
                                                    <h5 class="modal-title"><%=exo.level%></h5>
                                                    <a class="closeButton" href="#" data-dismiss="modal">Ⓧ</a>
                                                </div>
                                                <div class="modal-body">
                                                    <form>
                                                        <div class="form-group row">
                                                            <label class="col-3 col-form-label">Nom de l'activité</label>
                                                            <input type="text" class="col-8 form-control" role="name" readonly="readonly" value="<%=activityForm.name;%>"></div>
                                                        <div class="form-group row">
                                                            <label class="col-3 col-form-label">consigne</label>
                                                            <textarea type="text" class="col-8 form-control" role="consigne" readonly="readonly"><%=activityForm.consigne%></textarea>
                                                        </div>
                                                        <div class="form-group row">
                                                            <label class="col-3 col-form-label">Description</label>
                                                            <textarea type="text" class="col-8 form-control" role="description" readonly="readonly"><%=activityForm.description%></textarea>
                                                        </div>
                                                    </form>
                                                </div>
                                                <div class="modal-footer"></div>
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                            </div>
                                        </div>
                                    </div>
                                <%} else {%>
                                <div class="modal fade" id="id-<%=exo.id%>" tabindex="-1" stepId="<%=exo.id%>Label" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="<%=exo.gameId%>Niv<%=exo.degreeId%>Label"><%=jeu.nom%> - <%=levelLabel%> <%=exo.level%></h5>
                                                <i data-dismiss="modal" data-feather="x-octagon"></i>
                                            </div>
                                            <div class="modal-body">
                                                <img src="<%= exo.image %>" alt="image-<%= exo.nom %>" class="img-jeu-parcours"><div><%= __('description') %><%= exo.description %></div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                                                <a class="btn btn-outline-success" href="/run/pixi/<%=exo.id%>/<%=exo.gameId%>/evaluate"><%= __('level_explore') %></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <%}%>
                                <% } %>
                            <% }) %>
                            <a class="game-level-link badge-light row justify-content-center mb-2 initial-show" stepLevel="Explor" role="<%=jeu.nom%>" gameId="<%=jeu.id%>" href="#"><%=exploreActivity%></a>
                            <a class="game-level-link badge-light row justify-content-center mb-2 initial-show" stepLevel="Explor" role="<%=jeu.nom%>" gameId="<%=jeu.id%>" href="#"><%=createActivity%></a>
                            <a class="badge-info row justify-content-center mb-2 initial-show" stepLevel="<%= __('jeuxTemplate_create') %>" role="<%=jeu.nom%>" gameId="<%=jeu.id%>" href="<%=addLevelHref%>" <%=dataToggle%> <%=dataTarget%> ><span class="mr-3" title="<%= __('jeuxTemplate_create') %>"><%=plusButton%></span><%=addLevel%></a>
                        <% } %>
                    </div>
                </div>
                <% }}) %>
            </div>
        <% } %>
    </div>
</div>
    <!--   ######################################################### -->
    <!--   ############# Div Assignation du parcours  ############# -->
    <!--   ######################################################### -->
    <div id="assignParcours" class="container">
        <ul class="nav nav-tabs justify-content-center">
            <li class="nav-item d-flex">
                <a id="toggleMetaData" class="nav-link" href="#" onclick="ui_parcours.toggleParcoursView($(this))"><span class="d-none d-md-inline-block d-lg-inline-block"><%= __('metaData') %></span><i data-feather="file-text" class="ml-1"></i></a>
            </li>
            <li class="nav-item d-flex">
                <a id="toggleSteps" class="nav-link" href="#" onclick="ui_parcours.toggleParcoursView($(this))"><span class="d-none d-md-inline-block d-lg-inline-block"><%= __('steps') %></span><i data-feather="edit" class="ml-1"></i></a>
            </li>
            <li class="nav-item d-flex">
                <a id="toggleAssignParcours" class="nav-link active" href="#" onclick="ui_parcours.toggleParcoursView($(this))"><span class="d-none d-md-inline-block d-lg-inline-block">Assignation</span><i data-feather="user-check" class="ml-1"></i></a>
            </li>
        </ul>
        <div class="jumbotron">
            <h1 class="copieNomParcours display-4"></h1>
            <p class="text-info"><%= __('select_to_assign') %></p>
            <div class="row">
                <div id="lstClasses" class="col-md-6">
                    <h1 class="display-5"><%= __('classes_classes') %></h1>
                    <% if(typeof (classes) !== "undefined") { %>
                        <div class="form-group" id="classes">
                            <ul class="list-group mb-3">
                                <% for(var i = 0; i < classes.length; i++) { %>
                                    <a href="#" class="list-group-item classe" id="classe<%= classes[i].id %>"
                                       onclick="ui_classes.setClasse(<%= classes[i].id %>);">
                <%= classes[i].nom %> (<%= classes[i].degre %>)
                                        <span><i onclick="ui_parcours.assignParcours($(this),'<%= classes[i].id %>','<%= classes[i].nom %>','class')" class="fas fa-square float-right" title="<%= __('classes_share') %>"></i></span>
                                    </a>
                                <% } %>
                            </ul>
                        </div>
                    <% } %>
                </div>
                <div class="col-md-6">
                    <h1 class="display-5">
                        <%= __('classes_students') %>
                    </h1>
                    <div class="form-group" id="eleves">
                        <ul id="lstEleves" class="list-group mb-3">

                        </ul>
                    </div>
                </div>
                <div class="modal fade" id="modal_share" tabindex="-1">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title"><%= __('classes_share') %></h5>
                                <button type="button" class="close" data-dismiss="modal">
                                    <span>&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <p><%= __('classes_modal_text') %></p>
                                <p id="modal_share_link"></p>
                                <p><%= __('classes_modal_warning') %></p>
                                <p><%= __('classes_modal_share_text') %></p>
                                <div id="modal_share_fast">
                                    <input type="email" class="form-control" name="email" id="email"
                                           placeholder="<%= __('classes_modal_email_placeholder') %>">
                                    <textarea name="text" rows="4" cols="6" id="text" class="form-control mt-2"></textarea>
                                    <input type="button" id="sendbtn" value="<%= __('classes_modal_email_send') %>"
                                           class="btn btn-outline-success mt-2" onclick="ui_classes.sendEmail()">
                                    <div class="progress" id="progressbar">
                                        <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar"
                                             aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"
                                             style="width: 100%"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary"
                                        data-dismiss="modal"><%= __('global_back') %></button>
                            </div>
                        </div>
                    </div>
                 </div>
            </div>
        </div>
    </div>
<script>
    $( function() {
        // Les éléments draggable sont ceux de la classe .badge-light + la div #debranch
        $( ".badge-light,#debranch" ).draggable({
            helper: function( event ) {
                return $( '<div id="draggedLevel" class="badge badge-success" style="z-index: 2;">'+$(this).attr("stepLevel")+'</div>' );
            },
            // helper: "clone",
            revert: "invalid",
            snap: ".boutonNext, .boutonRemed",
            snapMode: "inner",
            start: function() {
            },
            drag: function() {
                ui_parcours.updateOverflow("visible");
            },
            stop: function() {
                ui_parcours.updateOverflow("auto");
                $(this).draggable('option','revert','valid');
            }
        });
        // Les éléments droppable : uniquement la div #steps + la div #debranch (pkoi la debranch ? à voir ...)
        $("#steps,#debranch").droppable({
            accept: ".badge-light,#debranch",
            drop: function(event, ui) {
                // if ( event.type!="dragstop" ) return;  // activer pour éviter un double-drop involontaire
                ui_parcours.addNewStep(ui.draggable.attr("stepLevel"),ui.draggable.attr("role"),'next',ui.draggable.attr("gameId"),ui.draggable.attr("stepId"),ui.draggable.attr("gameImage"));
                $(this).droppable("destroy");
            },
            over: function(event, ui) {
                $(this).css('background', 'antiquewhite');
            },
            out: function(event, ui) {
                $(this).css('background', 'darkred');
            }
        });
    } );
    feather.replace();
</script>
<script type="text/javascript" src="/scripts/wrk/wrk.js" defer></script>
<script type="text/javascript" src="/scripts/ui/ui_createclasse.js" defer></script>
<script type="text/javascript" src="/scripts/ui/ui_classes.js" defer></script>
<script type="text/javascript" src="/scripts/ui/ui_global.js" defer></script>
<script type="text/javascript" src="/scripts/ui/ui_parcours.js" defer></script>
</body>

</html>